@charset "utf-8";
@import url("bootstrZZZ.css");



a {
	text-decoration: none;
}

*, *::before, *::after {
  box-sizing: inherit;
}
* {
  margin: 0;
  padding: 0;
}
html body {
  box-sizing: border-box;
  height: 100%;
}

body {
	background-color: antiquewhite;
}

.wrapper {
	max-width: 2000px;
    min-width: 375px;
	margin: 0 auto;
	padding: 0 0.75em;
	background-color: #D1D1D1;
	height: auto;
}

.headerr {
	width: 100%;
	margin: 0 auto;
	height: auto;
	background-color: #A9A9A9;
	display: grid;
	grid-template-columns: 10fr 4fr 4fr 4fr;
	grid-column-gap: 4em;
	justify-content: center;
	align-items: center;
	padding: 1rem;
}

.container-hss {
    display: flex;
    flex-basis: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    row-gap: 1rem;
    column-gap: 3rem;
}



.main {
	width: 100%;
	height: auto;
}

.footer1 {
	display: flow-root;
	width: 100%;
	height: auto;
	min-height: 60px;
	padding: 0.5vw 0;
	text-align: center;
	font-size: 100%;
	align-items: center;
	justify-content: center;
	background: black;
	color: white;
	clear: both;
	
}

.footer2 {
	display: flex;
	width: 100%;
	height: auto;
	min-height: 60px;
	padding: 0.5vw 0;
	text-align: center;
	font-size: 110%;
	align-items: center;
	justify-content: center;
	background-color: #E53232;
	color: white;
	margin-top: auto;
	clear: both;
}

.footer2 a:hover {
	background: black;
}
.footer2 a {
	color: #FFFFFF;
	text-decoration: none;
}

.textover {
    position: relative;
    display: flex;
    width: 100%;
    margin: 0 auto;
    color: white;
    font-weight: 600;
    background: rgba(0, 0, 0, .4);
}

.textover_indsl {
    background-image: linear-gradient(rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0.35)), url("../images/Industrial_banner2_web.jpg");
    background-size: cover;
    position: relative;
    display: flex;
    width: 100%;
    height: calc(18vw + 3rem);
    margin: 0 auto;
    color: white;
    font-weight: 600;
}

.textover_indsl h2 {
    
}

.textover img {
    width: 100%;
}

/* START OF CSS COPY DROPDOWN */
    
  .header2 {
    padding: 20px 10%;
  }

  .header2 .navigation {
    position: absolute;
    top: 100%;
    margin: 0 auto;
    text-align: center;
    background-color: cornflowerblue;
  }

  .header2 .navigation ul li {
    width: 100%;
    border-top: 1px solid var(blue);
  }

  .header2 .navigation ul li a {
    padding: 8px 10px;
  }

  .header2 .navigation ul li ul {
    position: relative;
    width: 100%;
  }

  .header .navigation ul li ul li {
    background: blue;
    width: 100%;
  }


    #toggle:checked ~ .navigation {
    display: initial;
  }

/* END OF CSS COPY DROPDOWN */
      

/* NAV BAR ELEMENTS
.navbarr {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: red;
    color: white;
    position: relative;
    font-weight: bold;
    padding: 1rem;
}

.navbar-links > ul {
    margin: 0;
    padding: 0;
    flex-basis: 1 1 5rem;
    width: 100%;
    
}

.navbar-links li {
    list-style: none;
}

.navbar-links li a {
    text-decoration: none;
    color: white;
    padding: 1rem;
    font-size: 2vw;
}
.navbar-links li a:hover {
    color: black;
   
}

.navbar-links ul li {
    position: relative;
    float: left;
}

.navbar-links ul li ul {
    position: absolute;
    flex-direction: column;
    display: none;
    left: 0;

}


.navbar-links li:hover {
    background-color: #D6C6FF;
    color: black;
}



.navbar-links ul li:hover > ul {
    display: block;
    flex-direction: column;
    position: absolute;
    width: 100%;
    z-index: 10;
    background-color: #D6C6FF;
    left: 0;
    font-size: 5px;
    color: black;
}





.toggle-button {
    position: absolute;
    top: .75rem;
    right: 1rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px;
}

.toggle-button .bar {
    height: 3px;
    width: 100%;
    background-color: white;
    border-radius: 10px;
    transition: transform 250ms ease-in-out;
}

-- END OF NAVBAR1 */


.header2 {
    position: relative;
    background-color: #E53232;
    padding: 0.2rem 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 8;
}

label {
    margin: 0 40px 0 0;
}
.navigation {
    flex-grow: 1;
}

.navigation ul {
    list-style: none;
    color: white;
}

.header2 .navigation ul li {
    float: left;
    position: relative;
}

.header2 .navigation ul li a {
    font-size: clamp(0.5rem, 1vw + 1rem, 5rem);
    color: white;
    text-decoration: none;
    padding: 1rem;
    display: block;
    transition: all .1s ease;
}

.header2 .navigation ul li a:hover {
    background-color: grey;
    color: black;
}

.header2 .navigation ul li ul {
    position: absolute;
    left: 0;
    width: 10rem;
    display: none;
}

.header2 .navigation ul li ul li a {
    font-size: calc(1vw + .7rem);
    background-color: #596969;
    text-transform: capitalize;
}

.header2 .navigation ul li ul li {
    width: 160%;
    border-top: 1px solid;
}

.header2 .navigation ul li:hover > ul {
    display: initial;
}

/* OLD TOGGLE BUTTON
.toggle-button {
    position: absolute;
    top: .75rem;
    right: 1rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px;
}

.toggle-button .bar {
    height: 3px;
    width: 100%;
    background-color: white;
    border-radius: 10px;
    transition: transform 250ms ease-in-out;
}

------ */

#toggle, .header2 label {
  display: none;
  cursor: pointer;
}

.header2 img {
  width: 45px;
  height: 45px;
}


.boxtxt {
    position: absolute;
    color: red;
    top: 50%;
    transform: translateY(-50%);
    padding-left: 1em;
}

.wlcm {
    font-size: clamp(0.5rem, 2vw + 1rem, 5rem);
    font-family: 'Times New Roman';
    font-weight: 600;
    line-height: 1.2em;
    width: 85%;
}

.slns {
    min-width: 200px;
    color: black;
    font-weight: bold;
    font-size: clamp(0.8rem, 1vw + 0.5rem, 5rem)
}


.wesp {
    display: flex;
    background-image: linear-gradient(rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0.75)), url(../images/Electricians-web.jpg);
    background-size: 100%;
    width: 100%;
    margin: 0 auto;
    position: relative;
    padding: 1rem;
}

.colour-overlay {
    width: 100%;
    height: 100%;
    background: red;
    opacity: .6;
    position: absolute;
    z-index: 2;
}

.psers {
    display: flex;
    background-color: #A9A9A9;
    flex-wrap: wrap;
    padding-top: 1em;
    width: 100%;
    justify-content: center;
}

.servis {
    margin: 10px;
    border-radius: 15px;
    max-width: 400px;
    background-color: #FFFFFF;
    padding: 0.75em;
    height: auto;
    position: relative;
    
}

.servis img {
    padding: .4rem;
    flex: 1 1 auto;
    border-radius: 15px;
}

.servis h5 {
    font-family: Times New Roman;
    padding: 0.2em;
    font-weight: bold;
}
.servis h6 {
    text-align: justify;
    padding: 0 .4rem;
    margin-bottom: 1.75em;
   
}

.servis a {
    background-color: black;
    color: white;
    padding: .25em;
    display: block;
    text-align: center;
    text-decoration: none;
    border-radius: 15px;
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    margin: auto;
}

.servis:hover {
    background-color: #606060;
    color: white;
    transform: scale(1.08);
    transition: all .25s ease;
    cursor: pointer;
}

.section4 {
    width: 100%;
    background-color: #FF0004;
    display: block;
    padding: 1em 2em;
    font-size: 25px
    
}

/* .section4 h5 {
    font-weight: bold;
} */


.parxh2 {
    width: 100%;
    background-image: -webkit-linear-gradient(0deg,rgba(255,255,255,1.00) 0%,rgba(111,73,73,1.00) 100%);
    background-image: -moz-linear-gradient(0deg,rgba(255,255,255,1.00) 0%,rgba(111,73,73,1.00) 100%);
    background-image: -o-linear-gradient(0deg,rgba(255,255,255,1.00) 0%,rgba(111,73,73,1.00) 100%);
    background-image: linear-gradient(90deg,rgba(255,255,255,1.00) 0.00%,rgba(111,73,73,1.00) 100%);
    display: flex;
    padding: 0 1%;
    justify-content: center;
    align-items: center;
}


.parxh3 {
	display: grid;
	grid-template-columns: repeat(20, 1fr);
	grid-template-rows: 1 20fr;
	grid-auto-rows: minmax(0px, auto);
}


.upper-left {
	display: block;
	grid-column: 2 / 10;
	grid-row: 2 / 20;
	background-color: red;
	padding-top: 1em;
	padding-left: 2em;
	padding-bottom: 2em;
	padding-right: 2em;
	margin-top: 2em;
	align-self: flex-start;
	z-index: 0;
	margin-right: auto;
	margin-bottom: 2.5em;
}


.lower-right {
	grid-column: 3 / -2;
	grid-row: 2 / 5;
/*	padding: 10em, 2em, 2em, 2em; */
	padding-top: 10em;
	padding-left: 2em;
	padding-right: 2em;
	background-color: #DDDDDD;
	line-height: 1.5; 
}


.banner__image {
    width: 100%;
    height: 17vw;
    min-height: 150px;
    object-fit: cover;
}


.txt_indtrl {
    width: 100%;
    position: absolute;
    font-size: clamp(.75rem, 2.5vw, 2rem);
    line-height: 2rem;
    top: 50%; transform: translateY(-50%);
    padding: 2rem
}


.clr-overlyy {
    position: absolute;
    width: 100%;
    height: 35vh;
    background-color: #000000;
    z-index: 0;
}

.wrding-indstrl {
    background-color: #FFFFFF;
    padding: 1.5rem 4rem;
}

.wrding-indstrl h5 {
    font-family: times new roman;
    font-size: clamp(.75rem, 2.5vw, 2rem);
    text-align: center;
    font-weight: 700;
}

.wrding-indstrl h4 {
    margin-top: 1rem;
    font-family: times new roman;
    font-size: clamp(.75rem, 2.5vw, 2rem);
    text-align: justify;
    font-weight: 300;
}

.servs-gallery {
    padding: 3vw 0;
    background-color: #00DDFF;
}

.collms {
  flex: 1 0 0%;
  /* display: block;*/
  position: relative;
    display: flex;
}

.collms:hover {
    background-color: #606060;
    color: orange;
    transform: scale(1.08);
    transition: all .25s ease;
    cursor: pointer;
}

.collms h5 {
    position: absolute;
    bottom: 0.55rem;
    margin-left: 1.25rem;
    color: white;
    width: 100%;
    padding-right: 4rem;
    font-size: clamp(.75rem, 1.1vw, 1.25rem);
    text-shadow: 5px 5px 15px rgba(0,0,0,0.3);
}

.collms h5:hover {
    color: orange;
    transform: scale(1.08);
    transition: all .25s ease;
    cursor: pointer;
}

.collms img {
    max-width: 100%;
}

.servs-gallery img {
    background-color: #ffffff;
    padding: 0.25rem;
    width: 100%;
    box-shadow: 0 0 15px rgba(0,0,0,0.3);
    cursor: pointer;
}

/***** EV CHARGING PAGE ******/

.holding {
    display: grid;
    grid-template-columns: 1fr 1fr;
    width: 100%;
}

.holding img {
    width: 100%;
    min-width: 300px;
    border-radius: 2rem;
}

.ev_main > section {
    min-height: 60vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.lefty {
    width: 50%;
    height: auto;
/*    background: url("../images/ev-05.jpg") no-repeat center / cover; */
    border-radius: 2rem;
}

.righty {
    width: 50%;
    min-height: auto;
    background-color: #2E2E2E;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    border-radius: 2rem;
    color: white;
    margin-left: -10vw;
}

.cntainerr {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2vw;
}

.righty h3 {
    letter-spacing: 1px;
    font-size: clamp(0.5rem, 1vw + 1rem, 5rem)
}

.righty a {
    font-size: clamp(0.3rem, 0.2vw + 0.5rem, 3rem);
    text-decoration: none;
    text-transform: uppercase;
    background-color: white;
    color: black;
    padding: 10px 10px;
    display: inline-block;
    border-radius: 1.5rem;
}


/* COMMERCIAL */

.textover_cmrcl {
    background-image: linear-gradient(rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0.35)), url("../images/commercial10_web.jpg");
    background-size: cover;
    position: relative;
    display: flex;
    width: 100%;
    height: calc(18vw + 3rem);
    margin: 0 auto;
    color: white;
    font-weight: 600;
}

/* RESIDENTIAL */

.textover_rsdntl {
    background-image: linear-gradient(rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0.35)), url("../images/residential/electrician20banner_web.jpg");
    background-size: cover;
    position: relative;
    display: flex;
    width: 100%;
    height: calc(18vw + 3rem);
    margin: 0 auto;
    color: white;
    font-weight: 600;
}


/** 3D FLIP - RESIDENTIAL **/


.flip-card {
  background-color: transparent;
  width: 300px;
  height: 300px;
  perspective: 1000px;
}

.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.6s;
  transform-style: preserve-3d;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
}

.flip-card:hover .flip-card-inner {
  transform: rotateY(180deg);
}

.flip-card-front, .flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.flip-card-front {
  background-color: #bbb;
  color: black;
}

.flip-card-back {
  background-color: #2980b9;
  color: white;
  transform: rotateY(180deg);
}



/*** SOLAR PANELS ***/

.solarp {
    background: rgba(0,0,0,0.7) url("../images/solarp-cr_web.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-blend-mode: darken;
}

.txt-over-image {
    align-items: center;
    font-size: clamp(0.5rem, 2vw + 1.5rem, 6rem);
    z-index: 10;
    padding-left: 1.5rem;
    color: yellow;
}

.txt-over-image2 {
    width: 100%;
    align-items: center;
    font-size: clamp(0.5rem, 2vw + 1.5rem, 6rem);
    z-index: 10;
    padding-left: 1.5rem;
    color: yellow;
}

.solar-cards {
    display: flex;
    flex-grow: 1 1;
    flex-basis: row;
    flex-wrap: wrap;
    padding: 3% 0;
    justify-content: space-evenly;
    gap: 1.75rem;
}

.solar-card-holder img {
    width: 100%;
    height: auto;
}

.solar-card-holder {
    display: flex;
    width: 300px;
    flex-direction: column;
    align-items: center;
    text-align: center;
    border: blue 5px solid;
    outline: blue 5px solid;
    outline-offset: 5px;
    padding: 3% 0.75rem;
    top: 0;
}

.solar-card-holder h5 {
    padding: 15px 0;
    width: 250px;
}

.solar-card-holder span {
    font-style: italic;
    font-weight: bolder;
}

.solar-contact {
    
}

/* MEDIA QUERIES */
@media (max-width: 1720px) {
    .psers {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 20px;
    justify-items: center;
    }    
    
}

@media (max-width: 960px) {
    .cntainerr {
        flex-direction: column;
        justify-content: center;
        
    }
    .righty {
        margin: auto;
        width: 250px;
      /*  margin: 0 auto;*/
    }
    .lefty {
        width: 100%;
    }
}


@media (max-width: 850px) {
    .headerr {
        grid-column-gap: 0.2em;
    }
    .header2 .navigation ul li a {
    font-size: clamp(0.5rem, 0.5vw + 1rem, 5rem);
    }
}
    

@media (max-width: 700px) {
    .txt_indtrl {
        line-height: 1rem;
    }
    .lefty {
        width: 100%;
    }
    .holding {
        grid-template-columns: 1fr;
    }
    .righty {
        width: 100%;
        margin-left: auto;
    }
    .righty a {
        width: 120px;
        display: inline-block;
        text-align: center;
    }
    .btnn {
        margin: 0 auto;
    }
}


@media (max-width: 650px) {
    .headerr {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
        }
    .txt-over-image {
    font-size: clamp(0.5rem, 1vw + 1rem, 4rem);
    padding-left: 1rem
        }    
    }   

@media (max-width: 550px) {
       .holding {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr;
    width: 100%;
    }
}


@media (max-width: 475px) {
	.headerr {
		grid-template-columns: 1fr;
		grid-template-rows: 1fr 1fr 1fr 1fr;
		grid-row-gap: 1.5em;
		padding: 5em;
		min-width: 330px;
        margin-bottom: -60px;
	}
    .footer1, .footer2 {
		font-size: 20px;
		min-width: 330px;
	}
	
    .toggle-button {
        display: flex;
    }
    .navbar-links {
        display: none;
        width: 100%;
        align-content: center;
    }
    .navbarr {
        min-width: 330px;
        min-height: 3em;
        flex-direction: column;
        align-items: flex-start;
        position: relative;
      
    }
    .navbar-links ul {
        width: 100%;
        flex-direction: column;
    }
    .navbar-links li {
        text-align: center;
    }
    .navbar-links li a {
        padding: .5rem 1rem;
        font-size: 15px;
    }
    
    .navbar-links.active {
        display: flex;
    }
    
    .navbar-links ul li:hover ul {
        display: block;
    }
    
    
    .slns {
        display: none;
    }
    .wlcm {
        margin-bottom: 1rem;
    }
    .section4 {
    width: 100%;
    background-color: #FF0004;
    display: block;
    padding: 0.5em 1em;
    font-size: 15px;
    }
    .psers {
    display: flex;
    background-color: #A9A9A9;
    flex-wrap: wrap;
    padding-top: 1em;
    width: 100%;
    justify-content: center;
    align-items: flex-end;
    
    }
    .txt_indtrl {
    line-height: 0.75rem;
    color: white;
    text-align: justify;
    padding: 0.15rem .5rem;
    margin: 0 auto;
    }
    
}
